# PIO Remote Agent

Start PIO Remote Agent on a host machine and work remotely with your devices WITHOUT extra software, services, SSH, VPN, tunneling or opening incoming network ports.

PIO Remote supports wired and wireless devices. Wired devices should be connected physically to host machine where PIO Remote Agent is started, where wireless devices should be visible for PIO Remote Agent to provide network operations Over-The-Air (OTA).

Contents

- PIO Remote Agent

  - platformio remote agent list

    - Usage

    - Description

    - Example

  - platformio remote agent start

    - Usage

    - Description

    - Options

## platformio remote agent list

### Usage

    platformio remote agent list
    pio remote agent list

### Description

List active PIO Remote Agent s started using own PIO Account or shared with you by other PlatformIO developers.

### Example

    > platformio remote agent list

    innomac.local
    -------------
    ID: 98853d930......788d77375e7
    Started: 2016-10-26 16:32:56

## platformio remote agent start

### Usage

    platformio remote agent start [OPTIONS]
    pio remote agent start [OPTIONS]

### Description

Start PIO Remote Agent and work remotely with your devices from anywhere in the world. This command can be run as daemon or added to autostart list of your OS.

### Options

-n, --name

Agent name/alias. By default, machine’s `hostname` will be used. You can use this name later for platformio remote device and platformio remote run commands. Good names are home, office, lab or etc.

-s, --share

Share your agent/devices with other PlatformIO developers who have PIO Account: friends, co-workers, team, etc.

The valid value for `--share` option is email address that was used for platformio account register command.

-d, --working-dir

A working directory where PIO Remote Agent stores projects data for incremental synchronization and embedded programs for PIO Process Supervisor.